## postgis 1.5.3

=== doc/Makefile ===
#
# PostGIS documentation build Makefile
#
# Written by Mark Cave-Ayland
#
# NOTE: We don't use a standard PGXS Makefile here since the DOCS target
# only allows files to be stored within contrib/ and we currently
# store documentation under contrib/postgis due to the possibility
# that we could produce a large number of files (think chunked HTML)
#

POSTGIS_MAJOR_VERSION=1
POSTGIS_MINOR_VERSION=5
POSTGIS_MICRO_VERSION=3

XSLTPROC=/opt/local/bin/xsltproc
XSLBASE=/opt/local/share/xsl/docbook-xsl

XSLTPROC_COMMONOPTS= \
	--param section.autolabel 1 \
	--param section.label.includes.component.label 1 \
	--param chunk.section.depth 0 \
	--param generate.section.toc.level 1 \
	--param funcsynopsis.style ansi \
	--param admon.graphics 1 \
	--param admon.textlabel 0 \
	--param simplesect.in.toc 0 \
	--param use.id.as.filename 1 \
	--param chunk.quietly 1

XSLTPROC_HTMLOPTS= \
	--stringparam html.stylesheet style.css \

HTML_DOCBOOK_XSL=$(XSLBASE)/html/docbook.xsl
CHUNK_HTML_DOCBOOK_XSL=$(XSLBASE)/html/chunk.xsl

# DBLatex's dblatex script for PDF generation from DocBook
DBLATEX=/opt/local/bin/dblatex

# Imagemagick's convert utility program for generated images used in the documentation
IMAGEMAGICK=/opt/local/bin/convert

# Directories for postgresql subdirectories
PGSQL_DOCDIR=/usr/local/pgsql/9.1/share/doc
PGSQL_MANDIR=/usr/local/pgsql/9.1/share/man
PGSQL_SHAREDIR=/usr/local/pgsql/9.1/share

# If XSLTPROC or XSLBASE were not found during configure, we cannot
# build the documentation
ifeq ($(XSLTPROC),)
all: requirements_not_met_xsltproc
else
ifeq ($(XSLBASE),)
all: requirements_not_met_xslbase
else
ifeq ($(IMAGEMAGICK),)
all: requirements_not_met_imagemagick
else
all: images html/postgis.html postgis_comments.sql
endif
endif
endif

postgis_aggs_mm.xml: ./xsl/postgis_aggs_mm.xml.xsl postgis.xml
	$(XSLTPROC) ./xsl/postgis_aggs_mm.xml.xsl postgis.xml > $@

postgis_comments.sql: ./xsl/postgis_comments.sql.xsl postgis.xml postgis_aggs_mm.xml
	$(XSLTPROC) ./xsl/postgis_comments.sql.xsl postgis.xml > $@

postgis-out.xml: postgis.xml introduction.xml installation.xml faq.xml using_postgis_dataman.xml  using_postgis_app.xml performance_tips.xml reference.xml reference_management.xml reference_constructor.xml reference_accessor.xml reference_editor.xml reference_output.xml reference_operator.xml reference_measure.xml reference_processing.xml reference_lrs.xml reference_transaction.xml reference_misc.xml reference_exception.xml postgis_aggs_mm.xml reporting.xml release_notes.xml ../Version.config
	cat $< | sed "s/@@LAST_RELEASE_VERSION@@/${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}/g" > $@

chunked-html: postgis-out.xml images
	$(XSLTPROC) $(XSLTPROC_COMMONOPTS) $(XSLTPROC_HTMLOPTS) \
		--output html/ \
		--stringparam saxon.character.representation decimal \
		$(CHUNK_HTML_DOCBOOK_XSL) \
		$<

html/postgis.html: postgis-out.xml images
	$(XSLTPROC) $(XSLTPROC_COMMONOPTS) $(XSLTPROC_HTMLOPTS) \
		--output html/postgis.html \
		$(HTML_DOCBOOK_XSL) \
		$<


postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}.pdf: postgis-out.xml images
	@if test x"$(DBLATEX)" = x; then \
	   echo "Error: dblatex not found, can't build pdf"; \
	   echo "       try installing dblatex and then re-run configure"; \
	   false; \
	else \
		dblatex -T native -t pdf \
		   -I "${PWD}/html" \
		   -P doc.collab.show=0 \
		   -P figure.note="${PWD}/html/images/note" \
		   -P figure.tip="${PWD}/html/images/tip" \
		   -P figure.important="${PWD}/html/images/important" \
		   -P figure.warning="${PWD}/html/images/warning" \
		   -P figure.caution="${PWD}/html/images/caution" \
		   -P latex.output.revhistory=0 \
		   -o postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}.pdf $<; \
	fi

pdf: postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}.pdf

doxygen.cfg: doxygen.cfg.in
	cat $< | sed "s/@@LAST_RELEASE_VERSION@@/${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}/g" > $@

doxygen: doxygen.cfg
	doxygen $<

images: 
	make -C html/image_src images
	
clean:
	make -C html/image_src clean
	@rm -f postgis-out.xml postgis_aggs_mm.xml

maintainer-clean: clean
	make -C html/image_src clean
	@rm -f html/*.html \
		postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}.pdf

comments: postgis_comments.sql

comments-install: comments
	make -f Makefile.comments install

comments-uninstall:
	make -f Makefile.comments uninstall

install: html/postgis.html man/shp2pgsql.1 man/pgsql2shp.1
	@mkdir -p $(PGSQL_DOCDIR)/postgis
	@mkdir -p $(PGSQL_MANDIR)/man1
	cp html/postgis.html $(PGSQL_DOCDIR)/postgis/postgis.html
	cp ../README.postgis $(PGSQL_DOCDIR)/postgis/README.postgis
	cp man/pgsql2shp.1 $(PGSQL_MANDIR)/man1/pgsql2shp.1
	cp man/shp2pgsql.1 $(PGSQL_MANDIR)/man1/shp2pgsql.1

uninstall:
	rm -f $(PGSQL_DOCDIR)/postgis/postgis.html
	rm -f $(PGSQL_DOCDIR)/postgis/README.postgis
	rm -f $(PGSQL_MANDIR)/man1/shp2pgsql.1
	rm -f $(PGSQL_MANDIR)/man1/pgsql2shp.1

requirements_not_met_xsltproc:
	@echo
	@echo "configure was unable to find 'xsltproc' which is required to build the documentation."
	@echo "To build the documentation, install xsltproc and then re-run configure. Alternatively "
	@echo "refer to online manual:"
	@echo
	@echo "  http://postgis.refractions.net/docs"
	@echo

requirements_not_met_xslbase:
	@echo
	@echo "configure was unable to find the Docbook XSL stylesheet directory which is required to build the documentation."
	@echo "To build the documentation, install the Docbook XSL stylesheets and/or re-run configure with the --with-xsldir option. Alternatively "
	@echo "refer to online manual:"
	@echo
	@echo "  http://postgis.refractions.net/docs"
	@echo

requirements_not_met_imagemagick:
	@echo 
	@echo "configure was unable to find the ImageMagick's 'convert' utility program."
	@echo "To build the documentation, install ImageMagick and then re-run configure. Alternatively "
	@echo "refer to online manual:"
	@echo
	@echo "  http://postgis.refractions.net/docs"
	@echo 
	
.PHONY: html

=== liblwgeom/Makefile ===
# **********************************************************************
# * $Id: Makefile.in 
# *
# * PostGIS - Spatial Types for PostgreSQL
# * http://postgis.refractions.net
# * Copyright 2008 Mark Cave-Ayland
# *
# * This is free software; you can redistribute and/or modify it under
# * the terms of the GNU General Public Licence. See the COPYING file.
# *
# **********************************************************************

CC=gcc
CFLAGS=-g -O2  -fno-common -DPIC  -Wall -Wmissing-prototypes 
NUMERICFLAGS= -ffloat-store

YACC=bison -y
LEX=flex

# Standalone LWGEOM objects
SA_OBJS = \
	measures.o \
	box2d.o \
	ptarray.o \
	lwgeom_api.o \
	lwgeom.o \
	lwpoint.o \
	lwline.o \
	lwpoly.o \
	lwmpoint.o \
	lwmline.o \
	lwmpoly.o \
	lwcollection.o \
	lwcircstring.o \
	lwcompound.o \
	lwcurvepoly.o \
	lwmcurve.o \
	lwmsurface.o \
	lwutil.o \
	lwalgorithm.o \
	lwgunparse.o \
	lwgparse.o \
	lwsegmentize.o \
	wktparse.tab.o \
	lex.yy.o \
	vsprintf.o \
	g_box.o \
	g_coord.o \
	g_geometry.o \
	g_ptarray.o \
	g_serialized.o \
	g_util.o \
	lwgeodetic.o \
	lwtree.o

NM_OBJS = \
	lwspheroid.o 

SA_HEADERS = \
	liblwgeom.h \
	lwalgorithm.h

all: liblwgeom.a

liblwgeom.a: $(SA_OBJS) $(NM_OBJS) $(SA_HEADERS) 
	ar rs liblwgeom.a $(SA_OBJS) $(NM_OBJS) 	

clean:
	rm -f $(SA_OBJS) 
	rm -f $(NM_OBJS) 
	rm -f liblwgeom.a 

check: liblwgeom.a
	make -C cunit check

# Command to build each of the .o files
$(SA_OBJS): %.o: %.c 
	$(CC) $(CFLAGS) -c -o $@ $<

# Command to build each of the .o files
$(NM_OBJS): %.o: %.c 
	$(CC) $(CFLAGS) $(NUMERICFLAGS) -c -o $@ $<


# Commands to generate the lexer and parser from input files
wktparse.tab.c: wktparse.y
	$(YACC) -vd -p lwg_parse_yy wktparse.y
	mv -f y.tab.c wktparse.tab.c
	mv -f y.tab.h wktparse.tab.h
 
lex.yy.c: wktparse.lex wktparse.tab.c
	$(LEX) -Plwg_parse_yy -i -f -o'lex.yy.c' wktparse.lex

=== loader/Makefile ===
# **********************************************************************
# * $Id: Makefile.in
# *
# * PostGIS - Spatial Types for PostgreSQL
# * http://postgis.refractions.net
# * Copyright 2008 Mark Cave-Ayland
# *
# * This is free software; you can redistribute and/or modify it under
# * the terms of the GNU General Public Licence. See the COPYING file.
# *
# **********************************************************************

# PGXS information
#
# Note that PGXS currently doesn't handle building FE executables, but we need
# the INSTALL and DESTDIR variables so we can get the correct install paths. 
# Hence we include the PGXS Makefile here, but ensure that we override the
# 'all' and 'install' targets with the ones we really want to use below.
PG_CONFIG = /usr/local/pgsql/9.1/bin/pg_config
PGXS := /usr/local/pgsql/9.1/lib/pgxs/src/makefiles/pgxs.mk
include $(PGXS)

# Set CFLAGS afer PGXS, otherwise it will get overwritten with the PGXS
# version which is not what we want. 
CC=gcc
CFLAGS=-g -O2  -fno-common -DPIC  -Wall -Wmissing-prototypes

# Filenames with extension as determined by the OS
PGSQL2SHP=pgsql2shp
SHP2PGSQL-CLI=shp2pgsql
SHP2PGSQL-GUI=shp2pgsql-gui

# PostgreSQL frontend CPPFLAGS and LDFLAGS (for compiling and linking with libpq)
PGSQL_FE_CPPFLAGS=-I/usr/local/pgsql/9.1/include
PGSQL_FE_LDFLAGS=-L/usr/local/pgsql/9.1/lib -lpq

# iconv flags
ICONV_LDFLAGS= -liconv
ICONV_CFLAGS=

# liblwgeom
LIBLWGEOM=../liblwgeom/liblwgeom.a

# GTK includes and libraries
GTK_CFLAGS =  
GTK_LIBS =  
GTK_WIN32_FLAGS = 
GTK_WIN32_RES = 

# If REGRESS=1 passed as a parameter, change the default install paths
# so that no prefix is included. This allows us to relocate to a temporary
# directory for regression testing.
ifeq ($(REGRESS),1)
	bindir=/bin
	pkglibdir=/lib
	datadir=/share
endif

# We test this variable later to see if we're building the GUI
gtk_build = 

# The real parts of the Makefile
all: $(SHP2PGSQL-CLI) $(PGSQL2SHP) 

gui: $(SHP2PGSQL-GUI) $(SHP2PGSQL-CLI) 

shp2pgsql-gui.res: shp2pgsql-gui.rc shp2pgsql-gui.ico
	windres $< -O coff -o $@

# liblwgeom.a dependency to allow "make install" in 
# the loader/ subdirectory to work  
$(LIBLWGEOM):
	make -C ../liblwgeom

shp2pgsql-core.o: shp2pgsql-core.c
	$(CC) $(CFLAGS) $(ICONV_CFLAGS) -c $<

pgsql2shp.o: pgsql2shp.c
	$(CC) $(CFLAGS) $(ICONV_CFLAGS) $(PGSQL_FE_CPPFLAGS) -c $<

$(PGSQL2SHP): shpopen.o dbfopen.o safileio.o getopt.o pgsql2shp.o $(LIBLWGEOM) 
	$(CC) $(CFLAGS) $^ $(ICONV_LDFLAGS) $(PGSQL_FE_LDFLAGS) -lm -o $@ 

$(SHP2PGSQL-CLI): stringbuffer.o shpopen.o dbfopen.o safileio.o getopt.o shp2pgsql-core.o shp2pgsql-cli.o $(LIBLWGEOM) 
	$(CC) $(CFLAGS) $^ -o $@ $(ICONV_LDFLAGS) -lm 

shp2pgsql-gui.o: shp2pgsql-gui.c
	$(CC) $(CFLAGS) $(PGSQL_FE_CPPFLAGS) $(GTK_CFLAGS) -o $@ -c shp2pgsql-gui.c

$(SHP2PGSQL-GUI): stringbuffer.o shpopen.o dbfopen.o safileio.o shp2pgsql-core.o shp2pgsql-gui.o getopt.o $(LIBLWGEOM) $(GTK_WIN32_RES)
	$(CC) $(CFLAGS) $(GTK_WIN32_FLAGS) $^ -o $@ $(GTK_LIBS) $(ICONV_LDFLAGS) $(PGSQL_FE_LDFLAGS) -lm 

installdir:
	@mkdir -p $(DESTDIR)$(bindir)

install: installdir 
ifdef gtk_build
	$(INSTALL) $(SHP2PGSQL-GUI) $(DESTDIR)$(bindir)
endif
	$(INSTALL) $(PGSQL2SHP) $(DESTDIR)$(bindir)
	$(INSTALL) $(SHP2PGSQL-CLI) $(DESTDIR)$(bindir)

uninstall:
	@rm -f $(DESTDIR)$(bindir)/$(PGSQL2SHP)
	@rm -f $(DESTDIR)$(bindir)/$(SHP2PGSQL-CLI)

clean:
	@rm -f *.o $(SHP2PGSQL-CLI) $(PGSQL2SHP) $(GTK_WIN32_RES)

=== postgis/Makefile ===
# **********************************************************************
# * $Id$
# *
# * PostGIS - Spatial Types for PostgreSQL
# * http://postgis.refractions.net
# * Copyright 2008 Mark Cave-Ayland
# *
# * This is free software; you can redistribute and/or modify it under
# * the terms of the GNU General Public Licence. See the COPYING file.
# *
# **********************************************************************

MODULE_big=postgis-1.5
MODULEDIR=contrib/$(MODULE_big)

# Files to be copied to the contrib/ directory
DATA_built=postgis.sql uninstall_postgis.sql postgis_upgrade_15_minor.sql postgis_upgrade_14_to_15.sql postgis_upgrade_13_to_15.sql
DATA=../spatial_ref_sys.sql

# SQL objects (files requiring C pre-processing)
SQL_OBJS=postgis.sql.in uninstall_postgis.sql.in

# PostgreSQL objects
PG_OBJS=lwgeom_pg.o \
	lwgeom_debug.o \
	lwgeom_accum.o \
	lwgeom_spheroid.o \
	lwgeom_ogc.o \
	lwgeom_functions_analytic.o \
	lwgeom_inout.o \
	lwgeom_estimate.o \
	lwgeom_functions_basic.o \
	lwgeom_gist.o \
	lwgeom_btree.o \
	lwgeom_transform.o \
	lwgeom_box.o \
	lwgeom_box3d.o \
	lwgeom_box2dfloat4.o \
	lwgeom_chip.o \
	lwgeom_geos.o \
	lwgeom_geos_prepared.o \
	lwgeom_export.o \
	lwgeom_svg.o \
	lwgeom_gml.o \
	lwgeom_kml.o \
	lwgeom_geojson.o \
	lwgeom_in_gml.o \
	lwgeom_in_kml.o \
	lwgeom_triggers.o \
	lwgeom_dump.o \
	lwgeom_functions_lrs.o \
	long_xact.o \
	lwgeom_sqlmm.o \
	lwgeom_rtree.o \
	geography_inout.o \
	geography_gist.o \
	geography_btree.o \
	geography_estimate.o \
	geography_measurement.o 

# Objects to build using PGXS
OBJS=$(PG_OBJS)

# Libraries to link into the module (proj, geos)
#
# Note: we specify liblwgeom.a directly in SHLIB_LINK rather than using
# -L... -l options to prevent issues with some platforms trying to link
# to an existing liblwgeom.so in the PostgreSQL $libdir supplied by an
# older version of PostGIS, rather than with the static liblwgeom.a 
# supplied with newer versions of PostGIS
PG_CPPFLAGS+= -I/usr/local/include  -I/opt/local/include/libxml2 -I../liblwgeom
SHLIB_LINK+= -L/usr/local/lib  -lgeos_c -lproj -L/opt/local/lib -lxml2 -lz -lpthread -liconv -lm ../liblwgeom/liblwgeom.a

# Extra files to remove during 'make clean'
EXTRA_CLEAN=$(SQL_OBJS)

# PGXS information
PG_CONFIG = /usr/local/pgsql/9.1/bin/pg_config 
PGXS := /usr/local/pgsql/9.1/lib/pgxs/src/makefiles/pgxs.mk
include $(PGXS)

# PGXS override feature. The ability to allow PostGIS to install itself
# in a versioned directory is only available in PostgreSQL >= 8.5. To
# do this by default on older PostgreSQL versions, we need to override
# the existing PGXS targets.
#
# Once PostgreSQL 8.5 becomes the minimum supported version, this entire
# section and its associated Makefile.pgxs should be removed.
PGXSOVERRIDE = 0
ifeq ($(PGXSOVERRIDE),1)
	include Makefile.pgxs
endif

# If REGRESS=1 passed as a parameter, change the default install paths
# so that no prefix is included. This allows us to relocate to a temporary
# directory for regression testing.
ifeq ($(REGRESS),1)
        bindir=/bin
        pkglibdir=/lib
        datadir=/share
endif


# Borrow the $libdir substitution from PGXS but customise by adding the version number
%.sql: %.sql.in
	sed 's,MODULE_PATHNAME,$$libdir/postgis-1.5,g' $< >$@

postgis_upgrade_15_minor.sql: postgis.sql
	$(PERL) ../utils/postgis_proc_upgrade.pl $< 1.5 > $@

postgis_upgrade_14_to_15.sql: postgis.sql
	$(PERL) ../utils/postgis_proc_upgrade.pl $< 1.4 > $@

postgis_upgrade_13_to_15.sql: postgis.sql
	$(PERL) ../utils/postgis_proc_upgrade.pl $< 1.3 > $@

# Generate any .sql.in files from .sql.in.c files by running them through the C pre-processor 
$(SQL_OBJS): %.in: %.in.c
	$(CPP) -traditional-cpp $< | grep -v '^#' > $@

=== java/jdbc/Makefile ===
# PostGIS Makefile

# (C) 2004 Paul Ramsey, pramsey@refractions.net
# (C) 2005 Markus Schaber, markus.schaber@logix-tt.com
# (C) 2005 Sandro Santilli, strk@refractions.net
# (C) 2005 Alex Bodnaru, alexbodn@012.net.il

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# Following are some variable definitions that may have to be changed
# according to your build environment. This can be done either by editing
# this Makefile, or setting them via shell environment prior to calling make.

### Config variable section starts ###

# Configure the helper executables used during build.

JAVAC?=javac -target 1.2 -source 1.2
JAVA?=java
JAR?=jar
MKDIR?=mkdir -p
DELETE?=rm -rvf
CP?=cp

# If you happen to be stuck with ancient jar implementations that do not
# know about the -u option, but does not complain about duplicate directorys
# with the same name (e. G. debian woody fastjar), set the DEBUGJAR below
# variable to postgis_debug.fastjar and JAR (above) to fastjar.
DEBUGJAR?=postgis_debug.jar

# Make sure our classpath includes your postgresql.jar. This is somehow
# difficult because some JREs (e. G. those on debian woody or sablevm) seem
# to forget their own system classes (aka bootclasspath) as soon as _any_
# classpath is set, either via environment or via command line. They do not
# implement the concept of distinct classpath and bootclasspath settings,
# as most current java implementations do. This makes it necessary to either
# explicitly include the system classes in the set classpath, or use
# non-standard options line --addclasspath to add both the postgresql.jar
# and our own classes. We also cannot set an unset CLASSPATH variable here
# for this reason. Current (Jan 2005) implementations from SUN, IBM, 
# Blackdown, gij and kaffe are known to work fine.

# If you set POSTGIS_BUILD_CLASSPATH via Environment (even to an empty string), we
# simply use it and do not try to guess anything. If POSTGIS_CLASSPATH is
# not set, we use the contents of CLASSPATH. If CLASSPATH is empty or not
# set, we try to guess a default location that works on most unixoid systems.

ifeq (${CLASSPATH},)
	POSTGIS_BUILD_CLASSPATH?=/usr/share/java/postgresql.jar
else
	POSTGIS_BUILD_CLASSPATH?=${CLASSPATH}
endif

# Set those to --addclasspath for sablevm, to avoid overriding the
# BOOTCLASSPATH, the first one is for the compiler, the second one for JRE.
COMP_ADDCP?=-classpath
EXEC_ADDCP?=-classpath

# Class path entry separator, this is : on Linux/Unix and ; on Windows
CPSEP?=:

# This are used for the online regression tests, override via environment
# as applicable. The jtest needs table creation privilege in current_schema(),
# the others only call self contained SELECTs that do not access any tables.
PGHOST?=localhost
PGPORT?=5432
PGDATABASE?=jdbc_test
PGUSER?=psql
PGPASS?=guess
PGURL?=//$(PGHOST):$(PGPORT)/$(PGDATABASE)

# Where to put the output from regression tests. If you want to have it on
# stdout, set TESTRD to the empty string. If you want to have it in another
# file, set TESTOUTPUT to the file path.
# Be careful - that file will be deleted by "make clean".
TESTOUTPUT?=test.log
# Output redirect for tests
TESTRD?= >>$(TESTOUTPUT) 

### Config variable section ends ###

# build internal constants follow:
SRCDIR=./src
EXAMPLES=examples
BUILD=./bin
RUNCP=$(POSTGIS_BUILD_CLASSPATH)$(CPSEP)./postgis.jar
BUILDCP=$(STUBBUILD)$(CPSEP)$(POSTGIS_BUILD_CLASSPATH)$(CPSEP)$(SRCDIR)

# The pgjdbc 7.2/7.4/8.0 compatibility stub stuff
STUBDIR=stubs
STUBBUILD=./stubbin/

# What to put into the JAR files:
JARCONTENTS=-C $(BUILD) org \
		-C $(BUILD) examples \
		-C $(SRCDIR) org/postgresql/driverconfig.properties \
		-C . README COPYING_LGPL \
		-C ../.. COPYING

DEBUGJARCONTENTS=-C $(SRCDIR) org \
		-C $(SRCDIR) examples

# include version numbers
include ../../Version.config

# include configuration from central repository, only needed for install
# and installdirs targets, not for building itsself.
-include ../../Makefile.config

VERSION=$(POSTGIS_MAJOR_VERSION).$(POSTGIS_MINOR_VERSION).$(POSTGIS_MICRO_VERSION)

# We copy the ../Version.config into the jar to have it read at runtime.
VERSIONPATH=$(BUILD)/org/postgis
VERSIONTARGET=$(VERSIONPATH)/version.properties


# Preliminary jts support - not stable yet!
JTSDIR=jtssrc
JTSBUILD=jtsbin/

JTSPATH=$(JTSBUILD)$(CPSEP)$(BUILD)$(CPSEP)$(RUNCP)

# Get the list of all source files

SRC = $(SRCDIR)/org/postgis/*.java $(SRCDIR)/org/postgis/*/*.java $(SRCDIR)/examples/*.java

STUBSRC = $(STUBDIR)/org/postgresql/*.java

JTSSRC = $(JTSDIR)/org/postgis/jts/*.java $(JTSDIR)/examples/*.java


# Now the makefile targets that do the work:
# The default target:
all:	deprecation-warning \
	jar \
		postgis-jdbc-javadoc.zip \
	offlinetests

# This Makefile is deprecated for build.xml (build with Ant)
deprecation-warning:
	@echo "***"
	@echo "*** WARNING: This Makefile is deprecated for a build using Ant (build.xml)"
	@echo "***"
	@echo "*** If you wish to build a standard PostGIS JDBC driver, please use the Ant build"
	@echo "*** If you wish to build a JTS-enabled PostGIS JDBC driver, or run the online"
	@echo "*** regression tests, you will currently still need to use this Makefile"
	@echo "***"

# Packing the archives

jar:	compile postgis.jar $(DEBUGJAR)
	$(CP) postgis.jar postgis_$(VERSION).jar
	$(CP) postgis_debug.jar postgis_debug_$(VERSION).jar

postgis.jar: compile $(SRCDIR)/org/postgresql/driverconfig.properties
	$(JAR) -cf postgis.jar $(JARCONTENTS)

postgis_debug.jar: postgis.jar $(SRC)
	$(CP) postgis.jar postgis_debug.jar
	$(JAR) -uf postgis_debug.jar $(DEBUGJARCONTENTS)

# See comment for DEBUGJAR above for this rule.
postgis_debug.fastjar: compile $(SRC) $(SRCDIR)/org/postgresql/driverconfig.properties
	$(JAR) -cf postgis_debug.jar $(JARCONTENTS) $(DEBUGJARCONTENTS)

$(BUILD):
	$(MKDIR) $(BUILD)

$(STUBBUILD):
	$(MKDIR) $(STUBBUILD)

$(VERSIONPATH): $(BUILD)
	$(MKDIR) $(VERSIONPATH)

$(VERSIONTARGET): $(SRC) ../../Version.config $(VERSIONPATH)
	$(CP) ../../Version.config $(VERSIONTARGET)

stubcompile: $(STUBBUILD) $(SRCCONF) $(STUBSRC)
	$(JAVAC) -d $(STUBBUILD) $(STUBSRC)
	touch stubcompile

compile: stubcompile $(BUILD) $(SRCCONF) $(SRC) $(VERSIONTARGET)
	$(JAVAC) $(COMP_ADDCP) "$(BUILDCP)" -d $(BUILD) $(SRC) 
	touch compile

test:	postgis.jar
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/Test $(TESTRD) 

jtest:	postgis.jar
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/TestServer $(TESTRD) \
	 jdbc:postgresql:$(PGURL) $(PGUSER) $(PGPASS)

ptestoffline: postgis.jar	
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/TestParser $(TESTRD) offline

ptest: postgis.jar
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/TestParser $(TESTRD) \
	 "jdbc:postgresql_postGIS:$(PGURL);jdbc:postgresql_autogis:$(PGURL)" \
	 $(PGUSER) $(PGPASS)

boxtestoffline: postgis.jar	
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/TestBoxes $(TESTRD) offline

boxtest: postgis.jar
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/TestBoxes $(TESTRD) \
	 jdbc:postgresql_postGIS:$(PGURL) $(PGUSER) $(PGPASS)

autoregistertest: postgis.jar
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/TestAutoregister $(TESTRD) \
	 jdbc:postgresql:$(PGURL) $(PGUSER) $(PGPASS)

# Print all available versions
versions: postgis.jar
	$(JAVA) $(EXEC_ADDCP) "$(RUNCP)" $(EXAMPLES)/VersionPrinter jdbc:postgresql://$(PGHOST):$(PGPORT)/$(PGDATABASE) $(PGUSER) $(PGPASS)

offlinetests: boxtestoffline ptestoffline test

onlinetests: boxtest ptest jtest autoregistertest

# boxtest and ptest include boxtestoffline and ptestoffline, so we only need
# to run test in addition to the onlinetests
alltests: onlinetests test

# Cleaning
clean:
	echo cleaning...
	$(DELETE) $(BUILD) bin stubbin postgis.jar postgis_debug.jar \
		compile stubcompile jtscompile $(JTSBUILD) postgis_jts.jar \
		javadoc-build postgis-jdbc-javadoc.zip \
		$(TESTOUTPUT) \
		postgis_$(VERSION).jar \
		postgis_debug_$(VERSION).jar \
		postgis_jts_$(VERSION).jar

maintainer-clean: clean
	$(DELETE) $(SRCCONF)


install: jar installdirs
	@echo Testing for successful inclusion of ../Makefile.config
	test ../Makefile.config
	$(INSTALL_DATA) postgis.jar $(DESTDIR)
	$(INSTALL_DATA) postgis_debug.jar $(DESTDIR)

installdirs:
	@mkdir -p $(DESTDIR)

postgis-jdbc-javadoc.zip: javadoc-build
	$(JAR) -cf postgis-jdbc-javadoc.zip -C javadoc-build .

javadoc-build:
	$(MKDIR) javadoc-build
	# We use an ugly trick to build on windows and unix - 
	# javadoc command line options are not portable wr/t path separators
	javadoc -d javadoc-build -sourcepath "src:jtssrc:;src;jtssrc" \
		org.postgis org.postgis.jts org.postgis.binary org.postgis.java2d examples

# Preliminary JTS support

postgis_jts: postgis_jts.jar jtstestoffline
	@echo "Warning! This is beta code. Use at your own risk."

$(JTSBUILD):
	$(MKDIR) $(JTSBUILD)

jtscompile: compile stubcompile $(JTSBUILD) $(SRCCONF) $(JTSSRC)
	$(JAVAC) $(COMP_ADDCP) "$(BUILD)$(CPSEP)$(BUILDCP)" -d $(JTSBUILD) $(JTSSRC) 
	touch jtscompile
	
jtstestoffline: jtscompile	
	$(JAVA) $(EXEC_ADDCP) "$(JTSPATH)" $(EXAMPLES)/JtsTestParser $(TESTRD) offline

jtstest: jtscompile
	$(JAVA) $(EXEC_ADDCP) "$(JTSPATH)" $(EXAMPLES)/JtsTestParser $(TESTRD) \
	jdbc:postgres_jts:$(PGURL) $(PGUSER) $(PGPASS)

postgis_jts.jar: postgis.jar jtscompile $(SRCDIR)/org/postgresql/driverconfig.properties
	$(CP) postgis.jar postgis_jts.jar
	$(JAR) -uf postgis_jts.jar -C $(JTSBUILD) .
	$(CP) postgis_jts.jar postgis_jts_$(VERSION).jar

=== liblwgeom/cunit/Makefile ===
# **********************************************************************
# * $Id: Makefile.in
# *
# * PostGIS - Spatial Types for PostgreSQL
# * http://postgis.refractions.net
# * Copyright 2008 Paul Ramsey, Mark Cave-Ayland
# *
# * This is free software; you can redistribute and/or modify it under
# * the terms of the GNU General Public Licence. See the COPYING file.
# *
# **********************************************************************

CC=gcc
CFLAGS=-g -O2  -Wall -Wmissing-prototypes

CUNIT_LDFLAGS= -lcunit
CUNIT_CPPFLAGS= -I..

OBJS=	\
	cu_algorithm.o \
	cu_geodetic.o \
	cu_measures.o \
	cu_libgeom.o \
	cu_tester.o 

# If we couldn't find the cunit library then display a helpful message
ifeq ($(CUNIT_LDFLAGS),)
all: requirements_not_met_cunit
check: requirements_not_met_cunit
else

# Build the unit tester
all: cu_tester

# Build and run the unit tester
check: cu_tester
	@./cu_tester

endif

# Build the main unit test executable
cu_tester: ../liblwgeom.a $(OBJS)
	$(CC) -o $@ $(OBJS) ../liblwgeom.a -lm $(CUNIT_LDFLAGS)

# Command to build each of the .o files
$(OBJS): %.o: %.c
	$(CC) $(CFLAGS) $(CUNIT_CPPFLAGS) -c -o $@ $<

# Clean target
clean:
	@rm $(OBJS)
	@rm cu_tester

# Requirements message
requirements_not_met_cunit:
	@echo
	@echo "WARNING:"
	@echo
	@echo "configure was unable to find CUnit which is required for unit testing."
	@echo "In order to enable unit testing, you must install CUnit and then re-run configure."
	@echo

=== debian/changelog ===
postgis (1.5.3-2) unstable; urgency=low

  * Moved pgsql2shp/shp2pgsql under conventional /usr/bin path.
    (closes: #648176)
  * New patch html_doc_resourcesi added: now installing HTML documentation. 
    Thanks Andrew Harvey.
    (closes: #649352)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Nov 2011 15:43:23 +0100

postgis (1.5.3-1) unstable; urgency=low

  * New upstream minor release, with fix for PostgreSQL 9.1.
  * Repository moved to git and changed Vcs-* fields in debian/control.
  * Removed obsolete debian/*_lenny.
  * Policy bumped to 3.9.2. No changes.
  * Moved to source format 3.0 with quilt support.
  * Dehelper compatibility level set to 8.
  * Updated README to reflect current location of template SQL files.
    (closes: #575622)
  * Postrm was assigned to the wrong package (postgis), which caused 
    unexpected behavior on purging. Now each purge of postgresql-*-postgis will
    cause extension removal.
    (closes: #596663)
  * Added PostgreSQL 9.1 support. 
    (closes: #633111)
  * Dropped PostgreSQL 8.4 support, as required for wheezy.
    (closes: #639474,#642356)
  * Fixed (again) README.Debian for paths.
    (closes: #575622)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 15 Sep 2011 15:14:57 +0200

postgis (1.5.2-1) unstable; urgency=low

  * New upstream release, with a few bug fixes.
  * Added shp2pgsql-gui binary.
  * Removed patches, applied upstream: getopt.	

 -- Alan Boudreault <aboudreault@mapgears.com>  Wed, 29 Sep 2010 09:16:10 -0400

postgis (1.5.1-5) unstable; urgency=high

  * This version requires geos >= 3.1.1, debian/control updated.
    (closes: #580462)
  * Moved libpostgis-java to java section.
  * README.Debian has been fixed for old lwpostgis.sql since ages. Just ack.
    (closes: #575622)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 24 May 2010 09:40:32 +0200

postgis (1.5.1-4) unstable; urgency=high

  * [PATCH] getopt.dpatch added to avoid var collisions among Postgis getopt
    and glibc one. That solves a FTBS on mips/mipsel.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 22 May 2010 19:03:39 +0200

postgis (1.5.1-3) unstable; urgency=medium

  * Removed custom CFLAGS which probably caused FTBS on mips/mipsel archs.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 22 May 2010 11:20:44 +0200

postgis (1.5.1-2) unstable; urgency=low

  * Added generator.dpatch to avoid a buffer overflow on alpha due to 
    a too narrow buffer apparently.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 17 May 2010 14:21:37 +0200

postgis (1.5.1-1) unstable; urgency=low

  * New upstream release, with a few bug fixes.

 -- Alan Boudreault <aboudreault@mapgears.com>  Sun, 16 May 2010 14:42:21 -0400

postgis (1.5.0-1) unstable; urgency=low

  * New upstream major release, with many enhancements.
  * Policy bumped to 3.8.4, no changes.
  * Added libxml2-dev as new build-dep. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 10 Mar 2010 09:32:20 +0100

postgis (1.4.0-2) unstable; urgency=low

  * Upload to unstable.
  * Better parameterized debian/rules against postgis $(VERSION).
  * Added dblatex and libcunit1-dev among build-deps.
  * Added postgis_comments.sql to contrib/ SQL templates.
  * Dropping 8.3 support, no more supported for squeeze.
    (closes: #559587)
  * Do not stop on error in postrm if the target dir does not exist.
    (closes: #560409)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 11 Dec 2009 13:10:34 +0100

postgis (1.4.0-1) experimental; urgency=low

  * New upstream release. 
  * Updated configure arguments now obsolete/changed.
  * Required some new var initialization for installing in debian/ its trees.
  * The liblwgeom solib is now named postgis, so changed a few things around.
  * Updated build-dep: proj -> libproj-dev.
  * Policy bumped to 3.8.3. No changes.
  * Debhelper level set to 7.
  * Added ${misc:Depends}.
  * Now postgresql >= 8.3, geos >= 3 and proj >= 4.5 are required. This is
    reflected in debian/control for safety.
  * Added PostgreSQL 8.4 support, the 8.3 version will be dropped when 
    required. Now the .in template for postrm changed for multiversioning.
  * Now build-dep on default-jdk which is DFSG-safe.
  * Removed Fabio Tranchitella among Uploaders because retired from DebianGis.
  * Now build-dep on imagemagick because doc generation requires convert tool.
  * Added patch install.dpatch to manage minor inconsistencies in the java
    inatallation scripts. 
  * stamp files are now auto-cleaned.
  * Cleaned debian/rules to be idempotent.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 14 Sep 2009 11:58:45 +0200

postgis (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control: bumped Standard-Versions to 3.8.0, no changes needed.
  * debian/rules: copy utils/*.pl to the binary package. (Closes: #491154)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 05 Mar 2009 22:47:15 +0100

postgis (1.3.3-3) unstable; urgency=low

  * Added Vcs-* fields in debian/control.
  * Fixed download URL in debian/copyright.
  * Now it installs the shared lib in a private postgis path and makes a
    hard link in the postgres library path at configure time. That would
    allow coexistence of different flavors of the library which could be
    used by different DBs at run-time and allowing soft/hard-upgrade scripts
    working. (closes: #441794, #441797)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 09 Jun 2008 13:03:04 +0200

postgis (1.3.3-2) unstable; urgency=high

  * Dropped postgresql 8.2 support due to removal in Lenny.
    (closes: #474287)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 06 Jun 2008 23:57:45 +0200

postgis (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 15 Apr 2008 09:01:58 +0200

postgis (1.3.2-2) unstable; urgency=low

  * Add support for postgresql-8.3. (Closes: #466417, #471689)



=== debian/control ===
Source: postgis
Section: misc
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Stephen Frost <sfrost@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev, flex, bison, libgeos-dev (>= 3.1.1),
 libproj-dev (>= 4.5.0), libssl-dev, xsltproc, docbook, docbook-xsl,
 default-jdk, libpg-java, fastjar, libjts-java (>= 1.7), imagemagick,
 libcunit1-dev, dblatex, libxml2-dev, libgtk2.0-dev, postgresql-server-dev-9.1
Standards-Version: 3.9.2
Homepage: http://postgis.refractions.net/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/postgis.git
Vcs-Git: git://git.debian.org/git/pkg-grass/postgis.git

Package: postgresql-9.1-postgis
Architecture: any
Depends: ${shlibs:Depends}, postgis, postgresql-9.1, ${misc:Depends}
Conflicts: postgis (<< 1.2.1)
Description: Geographic objects support for PostgreSQL 9.1
 PostGIS adds support for geographic objects to the PostgreSQL object-relational
 database. In effect, PostGIS "spatially enables" the PostgreSQL server, 
 allowing it to be used as a backend spatial database for geographic information
 systems (GIS), much like ESRI's SDE or Oracle's Spatial extension. PostGIS
 follows the OpenGIS "Simple Features Specification for SQL".
 .
 This package supports PostgreSQL 9.1.

Package: postgis
Suggests: postgresql-9.1-postgis
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Geographic objects support for PostgreSQL -- common files
 PostGIS adds support for geographic objects to the PostgreSQL object-relational
 database. In effect, PostGIS "spatially enables" the PostgreSQL server, 
 allowing it to be used as a backend spatial database for geographic information
 systems (GIS), much like ESRI's SDE or Oracle's Spatial extension. PostGIS
 follows the OpenGIS "Simple Features Specification for SQL".
 .
 This package contains the PostGIS userland binaries, common files and
 documentation.

Package: libpostgis-java
Architecture: all
Section: java
Depends: libpg-java
Suggests: postgresql-9.1-postgis, ${misc:Depends}
Conflicts: libpostgis-jdbc, libpostgisjava, postgresql-postgis-java
Replaces: libpostgis-jdbc, libpostgisjava, postgresql-postgis-java
Description: Geographic objects support for PostgreSQL -- JDBC support
 PostGIS adds support for geographic objects to the PostgreSQL object-relational
 database. In effect, PostGIS "spatially enables" the PostgreSQL server, 
 allowing it to be used as a backend spatial database for geographic information
 systems (GIS), much like ESRI's SDE or Oracle's Spatial extension. PostGIS
 follows the OpenGIS "Simple Features Specification for SQL".
 .
 This package contains JDBC support for PostGIS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

MAJOR_VERSION = $(shell grep POSTGIS_MAJOR_VERSION Version.config|cut -d= -f2)
MINOR_VERSION = $(shell grep POSTGIS_MINOR_VERSION Version.config|cut -d= -f2)
MICRO_VERSION = $(shell grep POSTGIS_MICRO_VERSION Version.config|cut -d= -f2)
VERSION = $(MAJOR_VERSION).$(MINOR_VERSION).$(MICRO_VERSION)
ifeq ($(VERSION),..)
$(error Cannot detect Postgis version, fix debian/rules)
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	touch $@

clean: 
	dh_testdir
	dh_testroot
	[ -f doc/html/postgis.html.prev ] && mv doc/html/postgis.html.prev doc/html/postgis.html || true
	[ ! -f GNUmakefile ] || $(MAKE) distclean || true
	[ ! -f java/jdbc/Makefile ] || $(MAKE) -C java/jdbc clean
	rm -f $(CURDIR)/debian/*.postinst $(CURDIR)/debian/*.postrm
	dh_clean 

install: install-indep install-arch
install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i 
	dh_installdirs -i
#	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure 
	./configure \
		--docdir=\$${prefix}/share/doc/postgis \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-pgconfig=/usr/lib/postgresql/9.1/bin/pg_config
	# PostGIS JDBC (with debug support)
	$(MAKE) -C java/jdbc clean
	DEBUGJAR=postgis_debug.fastjar JAR=fastjar JAVAC=javac $(MAKE) -C java/jdbc jar
	DEBUGJAR=postgis_debug.fastjar JAR=fastjar JAVAC=javac $(MAKE) -C java/jdbc install DESTDIR=$(CURDIR)/debian/libpostgis-java/usr/share/java/$(JAVA_PATH)
	# regress target uses pushd/popd
	$(MAKE) SHELL=/bin/bash distclean
	dh_install -i

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -s 
	dh_installdirs -s
	# Documentation and common files for PostGIS
	[ ! -f doc/html/postgis.html.prev ] && cp doc/html/postgis.html doc/html/postgis.html.prev || true
	
	# PostGIS for PostgreSQL 9.1
	./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--with-docdir=$(CURDIR)/debian/postgis/usr/share/doc \
		--exec-prefix=\$${prefix}/lib/postgresql/9.1 \
		--datadir=\$${prefix}/share/postgresql-9.1-postgis \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-pgconfig=/usr/lib/postgresql/9.1/bin/pg_config \
		--with-gui
	$(MAKE)
	$(MAKE) -C doc
	$(MAKE) install DESTDIR=$(CURDIR)/debian/postgresql-9.1-postgis
	$(MAKE) -C doc install \
			PGSQL_DOCDIR=$(CURDIR)/debian/postgis/usr/share/doc/postgis \
			PGSQL_MANDIR=$(CURDIR)/debian/postgis/usr/share/man \
			PGSQL_SHAREDIR=$(CURDIR)/debian/postgis/usr/share/postgresql/9.1
	install -o root -g root doc/postgis_comments.sql \
		$(CURDIR)/debian/postgresql-9.1-postgis/usr/share/postgresql/9.1/contrib/.
	install -o root -g root -d $(CURDIR)/debian/postgresql-9.1-postgis/usr/lib/postgis/$(VERSION)/postgres/9.1/lib
	mv $(CURDIR)/debian/postgresql-9.1-postgis/usr/lib/postgresql/9.1/lib/postgis-$(MAJOR_VERSION).$(MINOR_VERSION).so \
	   $(CURDIR)/debian/postgresql-9.1-postgis/usr/lib/postgis/$(VERSION)/postgres/9.1/lib/.
	mv $(CURDIR)/debian/postgresql-9.1-postgis/usr/lib/postgresql/9.1/bin $(CURDIR)/debian/postgis/usr
	
	# Create custom maint scripts: 9.1
	
	sed -e 's/@POSTGIS_VERSION@/$(VERSION)/' \
	    -e 's/@POSTGRES_VERSION@/9.1/' \
	    -e 's/@SOVERSION@/$(MAJOR_VERSION).$(MINOR_VERSION)/' \
	    $(CURDIR)/debian/postgis-postgresql-generic.postinst.in >$(CURDIR)/debian/postgresql-9.1-postgis.postinst
	
	sed -e 's/@POSTGRES_VERSIONS@/9.1/' \
	    -e 's/@SOVERSION@/$(MAJOR_VERSION).$(MINOR_VERSION)/' \
	    $(CURDIR)/debian/postgis-generic.postrm.in >$(CURDIR)/debian/postgresql-9.1-postgis.postrm
	
	dh_install -s
	
	# copy utils for 9.1
	mkdir -p $(CURDIR)/debian/postgresql-9.1-postgis/usr/share/postgresql-9.1-postgis/utils
	cp utils/*.pl utils/README $(CURDIR)/debian/postgresql-9.1-postgis/usr/share/postgresql-9.1-postgis/utils

check: install-arch
	$(MAKE) check

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch check
